<script context="module" lang="ts">
  export enum Color {
    white
  }
</script>

<script lang="ts">
  export let name: string,
    color: Color | undefined = undefined,
    noSelect = false;

  let classes: string[] = [];

  switch (color) {
    case Color.white:
      classes.push('border-white', 'text-white');
      break;
    default:
      classes.push('border-black');
  }
</script>

<p class="{classes.join(' ')} {!noSelect && 'hover:bg-blue-700 hover:text-white hover:border-blue-700 cursor-pointer duration-100'}">{name}</p>

<style lang="postcss">
    p {
        @apply border inline-block px-4 py-1 rounded-full whitespace-nowrap text-xl select-none;
    }
</style>